Bug 50595 - Unable to upgrade from Red Hat 7.1 to Red Hat 7.2 beta 2 if Compaq system partition is present on system.
Summary: Unable to upgrade from Red Hat 7.1 to Red Hat 7.2 beta 2 if Compaq system par...
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-01 13:47 UTC by Bryan Leopard
Modified: 2007-04-18 16:35 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-01 20:24:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda Dump (416.59 KB, text/plain)
2001-08-01 18:26 UTC, Bryan Leopard
no flags Details

Description Bryan Leopard 2001-08-01 13:47:07 UTC
HW: 
Proliant DL580
-(1) 700 Mhz PIII Xeon processor
-512 MB RAM
-Integrated Smart Array controller with ROC firmware v. 1.46 enabled as 
primary/boot controller
-(4) 18.2 GB drives configured as (1) logical RAID 5 volume as 
primary/boot disk

SW:
-Smart Start 5.0
-Successful installation of Red Hat 7.1
-Red Hat 7.2 beta 2

STEPS TAKEN TO ENCOUNTER PROBLEM:

-Use a current version of Smart Start to perform a manual configuration of 
the server.  This will create a 36 MB Compaq System Partition at the 
beginning of the available space on the boot disk

-Perform a successful installation of Red Hat Linux 7.1, with your boot 
disk being partitioned as follows:
   -1st partition, primary, 36MB, Compaq System Partition
   -2nd partition, primary, 50MB, Linux ext2 fs, mounted as /boot
   -3rd partition, primary, 512MB, Linux swap
   -4th partition, primary, remainder of disk space, Linux ext2 fs, /

-Once installation is performed, boot once to make sure OS landed properly.

-Reboot system with Red Hat 7.2 beta 2 CD1 and start the installation 
interview

-Proceed through the installation interview to the 'Installation Type' 
screen.  Select 'Upgrade Existing System' and click 'Next'

-At the 'Upgrade Examine' screen, Anaconda appears to crash, indicating 
that in unhandled exception has occured.  I've saved the Anaconda dump 
file and will append it to this issue in the "Notes" section.

-On this same system I re-installed Red Hat 7.1, this time deleting the 
Compaq System partition so that my boot disk is now partitioned as follows:
   -1st partition, primary, 50MB, ext2 fs, mounted /boot
   -2nd partition, primary, 512MB, swap
   -3rd partition, primary, remainder of disk, ext2 fs, mounted /

-This time, with the Compaq System partition no longer the 1st partition, 
no longer existing, I can upgrade from Red Hat 7.1 to Red Hat 7.2 beta 2.

Comment 1 Matt Wilson 2001-08-01 15:14:09 UTC
need traceback ASAP.


Comment 2 Bryan Leopard 2001-08-01 18:26:39 UTC
Created attachment 25831 [details]
Anaconda Dump

Comment 3 Glen Foster 2001-08-01 19:28:39 UTC
Does the same behavior happen with Beta-3 (Roswell)?

Comment 4 Glen Foster 2001-08-01 20:24:10 UTC
This defect is considered SHOULD-FIX for Fairfax.

Comment 5 Michael Fulbright 2001-08-02 19:52:13 UTC
Fixed right after beta 2 went out, beta 3 will have this addressed.


Note You need to log in before you can comment on or make changes to this bug.